diff --git a/changelog b/changelog
index c83bc01..37c11ce 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100620 tpd src/axiom-website/patches.html 20100620.03.tpd.patch
+20100620 tpd src/input/Makefile integral function integration
+20100620 tpd src/input/richintfunc000-032.input integral function integration
 20100620 tpd src/axiom-website/patches.html 20100620.02.tpd.patch
 20100620 tpd src/input/Makefile error function integration
 20100620 tpd src/input/richerror000-078.input error function integration
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 534a6f2..fe405de 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2930,6 +2930,8 @@ src/input/richinvhyper100-199.input inverse hyperbolic int.<br/>
 src/input/richinvhyper200-296.input inverse hyperbolic int.<br/>
 <a href="patches/20100620.02.tpd.patch">20100620.02.tpd.patch</a>
 src/input/richerror000-078.input error function integration<br/>
+<a href="patches/20100620.03.tpd.patch">20100620.03.tpd.patch</a>
+src/input/richintfunc000-032.input integral function integration<br/>
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index d019c1c..59ef11e 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -387,6 +387,7 @@ REGRES= ackermann.regress \
     richhyper800-899.regress \
     richhyper900-999.regress \
     richhyper1000-1098.regress \
+    richintfunc000-032.regress \
     richinvhyper000-099.regress \
     richinvhyper100-199.regress \
     richinvhyper200-296.regress \
@@ -736,6 +737,7 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/richhyper800-899.input \
        ${OUT}/richhyper900-999.input \
        ${OUT}/richhyper1000-1098.input \
+       ${OUT}/richintfunc000-032.input \
        ${OUT}/richinvhyper000-099.input \
        ${OUT}/richinvhyper100-199.input \
        ${OUT}/richinvhyper200-296.input \
@@ -1114,6 +1116,7 @@ DOCFILES= \
   ${DOC}/richhyper800-899.input.dvi \
   ${DOC}/richhyper900-999.input.dvi \
   ${DOC}/richhyper1000-1098.input.dvi \
+  ${DOC}/richintfunc000-032.input.dvi \
   ${DOC}/richinvhyper000-099.input.dvi \
   ${DOC}/richinvhyper100-199.input.dvi \
   ${DOC}/richinvhyper200-296.input.dvi \
diff --git a/src/input/richintfunc000-032.input.pamphlet b/src/input/richintfunc000-032.input.pamphlet
new file mode 100644
index 0000000..a52f4fb
--- /dev/null
+++ b/src/input/richintfunc000-032.input.pamphlet
@@ -0,0 +1,1787 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input richintfunc000-032.input}
+\author{Albert Rich and Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f richintfunc000-032.output
+)spool richintfunc000-032.output
+)set message auto off
+)clear all
+
+--S 1 of 165
+t0000:= x^m*Ei(b*x)
+--R 
+--R
+--R                m
+--R   (1)  Ei(b x)x
+--R                                                     Type: Expression Integer
+--E 1
+
+--S 2 of 165
+r0000:= -1/b/(1+m)*(-x^(1+m)*Ei(b*x)*b+x^m*(-b*x)^(-m)*Gamma(1+m,-b*x))
+--R 
+--R
+--R                 - m m _                          m + 1
+--R        - (- b x)   x | (m + 1,- b x) + b Ei(b x)x
+--R   (2)  -----------------------------------------------
+--R                            b m + b
+--R                                                     Type: Expression Integer
+--E 2
+
+--S 3 of 165
+--a0000:= integrate(t0000,x)
+--E 3
+
+--S 4 of 165
+--m0000:= a0000-r0000
+--E 4
+
+--S 5 of 165
+--d0000:= D(m0000,x)
+--E 5
+
+--S 6 of 165
+t0001:= exp(1)^(b*x)*Ei(b*x)/x^3
+--R 
+--R
+--R                 b x
+--R        Ei(b x)%e
+--R   (3)  ------------
+--R              3
+--R             x
+--R                                                     Type: Expression Integer
+--E 6
+
+--S 7 of 165
+r0001:= -1/4*(exp(2*b*x)+4*exp(2*b*x)*b*x+2*Ei(b*x)*exp(b*x)+_
+        2*Ei(b*x)*exp(b*x)*b*x-x^2*Ei(b*x)^2*b^2-8*b^2*Ei(2*b*x)*x^2)/x^2
+--R 
+--R
+--R   (4)
+--R                 2b x                        b x     2 2            2 2       2
+--R   (- 4b x - 1)%e     + (- 2b x - 2)Ei(b x)%e    + 8b x Ei(2b x) + b x Ei(b x)
+--R   ----------------------------------------------------------------------------
+--R                                          2
+--R                                        4x
+--R                                                     Type: Expression Integer
+--E 7
+
+--S 8 of 165
+--a0001:= integrate(t0001,x)
+--E 8
+
+--S 9 of 165
+--m0001:= a0001-r0001
+--E 9
+
+--S 10 of 165
+--d0001:= D(m0001,x)
+--E 10
+
+--S 11 of 165
+t0002:= exp(1)^(b*x)*Ei(b*x)/x^2
+--R 
+--R
+--R                 b x
+--R        Ei(b x)%e
+--R   (5)  ------------
+--R              2
+--R             x
+--R                                                     Type: Expression Integer
+--E 11
+
+--S 12 of 165
+r0002:= -1/2*(2*exp(2*b*x)+2*Ei(b*x)*exp(b*x)-x*Ei(b*x)^2*b-4*b*Ei(2*b*x)*x)/x
+--R 
+--R
+--R             2b x             b x                              2
+--R        - 2%e     - 2Ei(b x)%e    + 4b x Ei(2b x) + b x Ei(b x)
+--R   (6)  --------------------------------------------------------
+--R                                   2x
+--R                                                     Type: Expression Integer
+--E 12
+
+--S 13 of 165
+--a0002:= integrate(t0002,x)
+--E 13
+
+--S 14 of 165
+--m0002:= a0002-r0002
+--E 14
+
+--S 15 of 165
+--d0002:= D(m0002,x)
+--E 15
+
+--S 16 of 165
+t0003:= x*exp(1)^(a+b*x)*Ei(c+d*x)
+--R 
+--R
+--R                       b x + a
+--R   (7)  x Ei(d x + c)%e
+--R                                                     Type: Expression Integer
+--E 16
+
+--S 17 of 165
+r0003:= -exp(1)^(a+c+(b+d)*x)/b/(b+d)-exp(1)^(a+b*x)*(1-b*x)*Ei(c+d*x)/b^2+_
+        (b*c+d)*exp(1)^(a-b*c/d)*Ei((b+d)*(c+d*x)/d)/b^2/d
+--R 
+--R
+--R   (8)
+--R               (d + b)x + c + a        2    2       2                    b x + a
+--R       - b d %e                 + ((b d  + b d)x - d  - b d)Ei(d x + c)%e
+--R     + 
+--R                                                           a d - b c
+--R                                   2                       ---------
+--R         2                 2     (d  + b d)x + c d + b c       d
+--R       (d  + (b c + b)d + b c)Ei(-----------------------)%e
+--R                                            d
+--R  /
+--R      2 2    3
+--R     b d  + b d
+--R                                                     Type: Expression Integer
+--E 17
+
+--S 18 of 165
+--a0003:= integrate(t0003,x)
+--E 18
+
+--S 19 of 165
+--m0003:= a0003-r0003
+--E 19
+
+--S 20 of 165
+--d0003:= D(m0003,x)
+--E 20
+
+--S 21 of 165
+t0004:= x^2*exp(1)^(a+b*x)*Ei(c+d*x)
+--R 
+--R
+--R         2             b x + a
+--R   (9)  x Ei(d x + c)%e
+--R                                                     Type: Expression Integer
+--E 21
+
+--S 22 of 165
+r0004:= exp(1)^(a+c+(b+d)*x)/b/(b+d)^2+2*exp(1)^(a+c+(b+d)*x)/b^2/(b+d)+_
+        c*exp(1)^(a+c+(b+d)*x)/b/d/(b+d)-exp(1)^(a+c+(b+d)*x)*_
+        x/b/(b+d)+exp(1)^(a+b*x)*(2-2*b*x+b^2*x^2)*Ei(c+d*x)/b^3-_
+        (b^2*c^2+2*b*c*d+2*d^2)*exp(1)^(a-b*c/d)*Ei((b+d)*(c+d*x)/d)/b^3/d^2
+--R 
+--R
+--R   (10)
+--R            2 3    3 2         3     2      2  2    3      (d + b)x + c + a
+--R       ((- b d  - b d )x + 2b d  + (b c + 3b )d  + b c d)%e
+--R     + 
+--R             2 4     3 3    4 2  2          4     2 3     3 2       4       3
+--R           (b d  + 2b d  + b d )x  + (- 2b d  - 4b d  - 2b d )x + 2d  + 4b d
+--R         + 
+--R             2 2
+--R           2b d
+--R      *
+--R                      b x + a
+--R         Ei(d x + c)%e
+--R     + 
+--R               4                 3       2 2     2      2  2        3 2     3
+--R           - 2d  + (- 2b c - 4b)d  + (- b c  - 4b c - 2b )d  + (- 2b c  - 2b c)d
+--R         + 
+--R              4 2
+--R           - b c
+--R      *
+--R                                      a d - b c
+--R              2                       ---------
+--R            (d  + b d)x + c d + b c       d
+--R         Ei(-----------------------)%e
+--R                       d
+--R  /
+--R      3 4     4 3    5 2
+--R     b d  + 2b d  + b d
+--R                                                     Type: Expression Integer
+--E 22
+
+--S 23 of 165
+--a0004:= integrate(t0004,x)
+--E 23
+
+--S 24 of 165
+--m0004:= a0004-r0004
+--E 24
+
+--S 25 of 165
+--d0004:= D(m0004,x)
+--E 25
+
+--S 26 of 165
+t0005:= x^m*Si(b*x)
+--R 
+--R
+--R                 m
+--R   (11)  Si(b x)x
+--R                                                     Type: Expression Integer
+--E 26
+
+--S 27 of 165
+r0005:= 1/2*(x^m*(-%i*b*x)^(-m)*Gamma(1+m,-%i*b*x)+x^m*(%i*b*x)^(-m)*_
+        Gamma(1+m,%i*b*x)+2*x^(1+m)*Si(b*x)*b)/b/(1+m)
+--R 
+--R
+--R   (12)
+--R        m        - m _                           - m m _
+--R       x (%i b x)   | (m + 1,%i b x) + (- %i b x)   x | (m + 1,- %i b x)
+--R     + 
+--R                  m + 1
+--R       2b Si(b x)x
+--R  /
+--R     2b m + 2b
+--R                                             Type: Expression Complex Integer
+--E 27
+
+--S 28 of 165
+--a0005:= integrate(t0005,x)
+--E 28
+
+--S 29 of 165
+--m0005:= a0005-r0005
+--E 29
+
+--S 30 of 165
+--d0005:= D(m0005,x)
+--E 30
+
+--S 31 of 165
+t0006:= sin(b*x)*Si(b*x)/x^3
+--R 
+--R
+--R         Si(b x)sin(b x)
+--R   (13)  ---------------
+--R                 3
+--R                x
+--R                                                     Type: Expression Integer
+--E 31
+
+--S 32 of 165
+r0006:= -1/4*(-4*b^2*Ci(2*b*x)*x^2+2*x*cos(b*x)*sin(b*x)*b+1-_
+        cos(b*x)^2+x*b*sin(2*b*x)+2*x*cos(b*x)*Si(b*x)*b+2*sin(b*x)*Si(b*x)+_
+        x^2*Si(b*x)^2*b^2)/x^2
+--R 
+--R
+--R   (14)
+--R                                                                        2
+--R       - b x sin(2b x) + (- 2b x cos(b x) - 2Si(b x))sin(b x) + cos(b x)
+--R     + 
+--R                                 2 2       2     2 2
+--R       - 2b x Si(b x)cos(b x) - b x Si(b x)  + 4b x Ci(2b x) - 1
+--R  /
+--R       2
+--R     4x
+--R                                                     Type: Expression Integer
+--E 32
+
+--S 33 of 165
+a0006:= integrate(t0006,x)
+--R 
+--R
+--R            x
+--R          ++  Si(%A b)sin(%A b)
+--R   (15)   |   ----------------- d%A
+--R         ++            3
+--R                     %A
+--R                                          Type: Union(Expression Integer,...)
+--E 33
+
+--S 34 of 165
+--m0006:= a0006-r0006
+--E 34
+
+--S 35 of 165
+--d0006:= D(m0006,x)
+--E 35
+
+--S 36 of 165
+t0007:= x*sin(a+b*x)*Si(c+d*x)
+--R 
+--R
+--R   (16)  x Si(d x + c)sin(b x + a)
+--R                                                     Type: Expression Integer
+--E 36
+
+--S 37 of 165
+r0007:= 1/2*cos(a-c+(b-d)*x)/b/(b-d)-1/2*cos(a+c+(b+d)*x)/b/(b+d)-_
+        1/2*cos(a-b*c/d)*Ci((b-d)*(c+d*x)/d)/b^2+_
+        1/2*cos(a-b*c/d)*Ci((b+d)*(c+d*x)/d)/b^2+_
+        1/2*c*Ci((b-d)*(c+d*x)/d)*sin(a-b*c/d)/b/d-_
+        1/2*c*Ci((b+d)*(c+d*x)/d)*sin(a-b*c/d)/b/d-x*cos(a+b*x)*Si(c+d*x)/b+_
+        sin(a+b*x)*Si(c+d*x)/b^2+1/2*c*cos(a-b*c/d)*Si((b-d)*(c+d*x)/d)/b/d+_
+        1/2*sin(a-b*c/d)*Si((b-d)*(c+d*x)/d)/b^2-_
+        1/2*c*cos(a-b*c/d)*Si((b+d)*(c+d*x)/d)/b/d-_
+        1/2*sin(a-b*c/d)*Si((b+d)*(c+d*x)/d)/b^2
+--R 
+--R
+--R   (17)
+--R          3     2
+--R       (2d  - 2b d)Si(d x + c)sin(b x + a)
+--R     + 
+--R                            2
+--R               3    2     (d  + b d)x + c d + b c
+--R           (- d  + b d)Si(-----------------------)
+--R                                     d
+--R         + 
+--R                            2
+--R               3    2     (d  - b d)x + c d - b c
+--R           (- d  + b d)Si(-----------------------)
+--R                                     d
+--R         + 
+--R                                2
+--R                   2    3     (d  + b d)x + c d + b c
+--R           (- b c d  + b c)Ci(-----------------------)
+--R                                         d
+--R         + 
+--R                                2
+--R                 2    3     (- d  + b d)x - c d + b c
+--R           (b c d  - b c)Ci(-------------------------)
+--R                                        d
+--R      *
+--R             a d - b c
+--R         sin(---------)
+--R                 d
+--R     + 
+--R             2    2                                2    2
+--R       (- b d  + b d)cos((d + b)x + c + a) + (- b d  - b d)cos((d - b)x + c - a)
+--R     + 
+--R              3     3
+--R       (- 2b d  + 2b d)x Si(d x + c)cos(b x + a)
+--R     + 
+--R                                2
+--R                   2    3     (d  + b d)x + c d + b c
+--R           (- b c d  + b c)Si(-----------------------)
+--R                                         d
+--R         + 
+--R                                2
+--R                   2    3     (d  - b d)x + c d - b c
+--R           (- b c d  + b c)Si(-----------------------)
+--R                                         d
+--R         + 
+--R                          2
+--R             3    2     (d  + b d)x + c d + b c
+--R           (d  - b d)Ci(-----------------------)
+--R                                   d
+--R         + 
+--R                              2
+--R               3    2     (- d  + b d)x - c d + b c
+--R           (- d  + b d)Ci(-------------------------)
+--R                                      d
+--R      *
+--R             a d - b c
+--R         cos(---------)
+--R                 d
+--R  /
+--R       2 3     4
+--R     2b d  - 2b d
+--R                                                     Type: Expression Integer
+--E 37
+
+--S 38 of 165
+a0007:= integrate(t0007,x)
+--R 
+--R
+--R            x
+--R          ++
+--R   (18)   |   %A Si(%A d + c)sin(%A b + a)d%A
+--R         ++
+--R                                          Type: Union(Expression Integer,...)
+--E 38
+
+--S 39 of 165
+--m0007:= a0007-r0007
+--E 39
+
+--S 40 of 165
+--d0007:= D(m0007,x)
+--E 40
+
+--S 41 of 165
+t0008:= cos(b*x)*Si(b*x)/x^2
+--R 
+--R
+--R         Si(b x)cos(b x)
+--R   (19)  ---------------
+--R                 2
+--R                x
+--R                                                     Type: Expression Integer
+--E 41
+
+--S 42 of 165
+r0008:= -1/2*(-2*b*Ci(2*b*x)*x+sin(2*b*x)+2*cos(b*x)*Si(b*x)+x*Si(b*x)^2*b)/x
+--R 
+--R
+--R                                                     2
+--R         - sin(2b x) - 2Si(b x)cos(b x) - b x Si(b x)  + 2b x Ci(2b x)
+--R   (20)  -------------------------------------------------------------
+--R                                       2x
+--R                                                     Type: Expression Integer
+--E 42
+
+--S 43 of 165
+a0008:= integrate(t0008,x)
+--R 
+--R
+--R            x
+--R          ++  Si(%A b)cos(%A b)
+--R   (21)   |   ----------------- d%A
+--R         ++            2
+--R                     %A
+--R                                          Type: Union(Expression Integer,...)
+--E 43
+
+--S 44 of 165
+--m0008:= a0008-r0008
+--E 44
+
+--S 45 of 165
+--d0008:= D(m0008,x)
+--E 45
+
+--S 46 of 165
+t0009:= x*cos(a+b*x)*Si(c+d*x)
+--R 
+--R
+--R   (22)  x Si(d x + c)cos(b x + a)
+--R                                                     Type: Expression Integer
+--E 46
+
+--S 47 of 165
+r0009:= 1/2*c*cos(a-b*c/d)*Ci((b-d)*(c+d*x)/d)/b/d-_
+        1/2*c*cos(a-b*c/d)*Ci((b+d)*(c+d*x)/d)/b/d+_
+        1/2*Ci((b-d)*(c+d*x)/d)*sin(a-b*c/d)/b^2-_
+        1/2*Ci((b+d)*(c+d*x)/d)*sin(a-b*c/d)/b^2-_
+        1/2*sin(a-c+(b-d)*x)/b/(b-d)+1/2*sin(a+c+(b+d)*x)/b/_
+        (b+d)+cos(a+b*x)*Si(c+d*x)/b^2+x*sin(a+b*x)*Si(c+d*x)/b+_
+        1/2*cos(a-b*c/d)*Si((b-d)*(c+d*x)/d)/b^2-_
+        1/2*c*sin(a-b*c/d)*Si((b-d)*(c+d*x)/d)/b/d-_
+        1/2*cos(a-b*c/d)*Si((b+d)*(c+d*x)/d)/b^2+_
+        1/2*c*sin(a-b*c/d)*Si((b+d)*(c+d*x)/d)/b/d
+--R 
+--R
+--R   (23)
+--R           2    2                                2    2
+--R       (b d  - b d)sin((d + b)x + c + a) + (- b d  - b d)sin((d - b)x + c - a)
+--R     + 
+--R            3     3
+--R       (2b d  - 2b d)x Si(d x + c)sin(b x + a)
+--R     + 
+--R                              2
+--R                 2    3     (d  + b d)x + c d + b c
+--R           (b c d  - b c)Si(-----------------------)
+--R                                       d
+--R         + 
+--R                              2
+--R                 2    3     (d  - b d)x + c d - b c
+--R           (b c d  - b c)Si(-----------------------)
+--R                                       d
+--R         + 
+--R                            2
+--R               3    2     (d  + b d)x + c d + b c
+--R           (- d  + b d)Ci(-----------------------)
+--R                                     d
+--R         + 
+--R                            2
+--R             3    2     (- d  + b d)x - c d + b c
+--R           (d  - b d)Ci(-------------------------)
+--R                                    d
+--R      *
+--R             a d - b c
+--R         sin(---------)
+--R                 d
+--R     + 
+--R          3     2
+--R       (2d  - 2b d)Si(d x + c)cos(b x + a)
+--R     + 
+--R                            2
+--R               3    2     (d  + b d)x + c d + b c
+--R           (- d  + b d)Si(-----------------------)
+--R                                     d
+--R         + 
+--R                            2
+--R               3    2     (d  - b d)x + c d - b c
+--R           (- d  + b d)Si(-----------------------)
+--R                                     d
+--R         + 
+--R                                2
+--R                   2    3     (d  + b d)x + c d + b c
+--R           (- b c d  + b c)Ci(-----------------------)
+--R                                         d
+--R         + 
+--R                                2
+--R                 2    3     (- d  + b d)x - c d + b c
+--R           (b c d  - b c)Ci(-------------------------)
+--R                                        d
+--R      *
+--R             a d - b c
+--R         cos(---------)
+--R                 d
+--R  /
+--R       2 3     4
+--R     2b d  - 2b d
+--R                                                     Type: Expression Integer
+--E 47
+
+--S 48 of 165
+a0009:= integrate(t0009,x)
+--R 
+--R
+--R            x
+--R          ++
+--R   (24)   |   %A Si(%A d + c)cos(%A b + a)d%A
+--R         ++
+--R                                          Type: Union(Expression Integer,...)
+--E 48
+
+--S 49 of 165
+--m0009:= a0009-r0009
+--E 49
+
+--S 50 of 165
+--d0009:= D(m0009,x)
+--E 50
+
+--S 51 of 165
+t0010:= x^m*Ci(b*x)
+--R 
+--R
+--R                 m
+--R   (25)  Ci(b x)x
+--R                                                     Type: Expression Integer
+--E 51
+
+--S 52 of 165
+r0010:= 1/2*(%i*x^m*(-%i*b*x)^(-m)*Gamma(1+m,-%i*b*x)-%i*x^m*(%i*b*x)^(-m)*_
+        Gamma(1+m,%i*b*x)+2*x^(1+m)*Ci(b*x)*b)/b/(1+m)
+--R 
+--R
+--R   (26)
+--R             m        - m _                              - m m _
+--R       - %i x (%i b x)   | (m + 1,%i b x) + %i (- %i b x)   x | (m + 1,- %i b x)
+--R     + 
+--R                  m + 1
+--R       2b Ci(b x)x
+--R  /
+--R     2b m + 2b
+--R                                             Type: Expression Complex Integer
+--E 52
+
+--S 53 of 165
+a0010:= integrate(t0010,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 53
+
+--S 54 of 165
+--m0010:= a0010-r0010
+--E 54
+
+--S 55 of 165
+--d0010:= D(m0010,x)
+--E 55
+
+--S 56 of 165
+t0011:= Ci(b*x)*sin(b*x)/x^2
+--R 
+--R
+--R         Ci(b x)sin(b x)
+--R   (27)  ---------------
+--R                 2
+--R                x
+--R                                                     Type: Expression Integer
+--E 56
+
+--S 57 of 165
+r0011:= -1/2*(-x*Ci(b*x)^2*b-2*b*Ci(2*b*x)*x+2*sin(b*x)*Ci(b*x)+sin(2*b*x))/x
+--R 
+--R
+--R                                                                     2
+--R         - sin(2b x) - 2Ci(b x)sin(b x) + 2b x Ci(2b x) + b x Ci(b x)
+--R   (28)  -------------------------------------------------------------
+--R                                       2x
+--R                                                     Type: Expression Integer
+--E 57
+
+--S 58 of 165
+a0011:= integrate(t0011,x)
+--R 
+--R
+--R            x
+--R          ++  Ci(%A b)sin(%A b)
+--R   (29)   |   ----------------- d%A
+--R         ++            2
+--R                     %A
+--R                                          Type: Union(Expression Integer,...)
+--E 58
+
+--S 59 of 165
+--m0011:= a0011-r0011
+--E 59
+
+--S 60 of 165
+--d0011:= D(m0011,x)
+--E 60
+
+--S 61 of 165
+t0012:= x*sin(a+b*x)*Ci(c+d*x)
+--R 
+--R
+--R   (30)  x Ci(d x + c)sin(b x + a)
+--R                                                     Type: Expression Integer
+--E 61
+
+--S 62 of 165
+r0012:= -x*cos(a+b*x)*Ci(c+d*x)/b-1/2*c*cos(a-b*c/d)*Ci((b-d)*(c+d*x)/d)/b/d-_
+        1/2*c*cos(a-b*c/d)*Ci((b+d)*(c+d*x)/d)/b/d-1/2*Ci((b-d)*(c+d*x)/d)*_
+        sin(a-b*c/d)/b^2-1/2*Ci((b+d)*(c+d*x)/d)*sin(a-b*c/d)/b^2+Ci(c+d*x)*_
+        sin(a+b*x)/b^2+1/2*sin(a-c+(b-d)*x)/b/(b-d)+1/2*sin(a+c+(b+d)*x)/_
+        b/(b+d)-1/2*cos(a-b*c/d)*Si((b-d)*(c+d*x)/d)/b^2+1/2*c*sin(a-b*c/d)*_
+        Si((b-d)*(c+d*x)/d)/b/d-1/2*cos(a-b*c/d)*Si((b+d)*(c+d*x)/d)/b^2+_
+        1/2*c*sin(a-b*c/d)*Si((b+d)*(c+d*x)/d)/b/d
+--R 
+--R
+--R   (31)
+--R           2    2                              2    2
+--R       (b d  - b d)sin((d + b)x + c + a) + (b d  + b d)sin((d - b)x + c - a)
+--R     + 
+--R          3     2
+--R       (2d  - 2b d)Ci(d x + c)sin(b x + a)
+--R     + 
+--R                              2
+--R                 2    3     (d  + b d)x + c d + b c
+--R           (b c d  - b c)Si(-----------------------)
+--R                                       d
+--R         + 
+--R                                2
+--R                   2    3     (d  - b d)x + c d - b c
+--R           (- b c d  + b c)Si(-----------------------)
+--R                                         d
+--R         + 
+--R                            2
+--R               3    2     (d  + b d)x + c d + b c
+--R           (- d  + b d)Ci(-----------------------)
+--R                                     d
+--R         + 
+--R                              2
+--R               3    2     (- d  + b d)x - c d + b c
+--R           (- d  + b d)Ci(-------------------------)
+--R                                      d
+--R      *
+--R             a d - b c
+--R         sin(---------)
+--R                 d
+--R     + 
+--R              3     3
+--R       (- 2b d  + 2b d)x Ci(d x + c)cos(b x + a)
+--R     + 
+--R                            2
+--R               3    2     (d  + b d)x + c d + b c
+--R           (- d  + b d)Si(-----------------------)
+--R                                     d
+--R         + 
+--R                          2
+--R             3    2     (d  - b d)x + c d - b c
+--R           (d  - b d)Si(-----------------------)
+--R                                   d
+--R         + 
+--R                                2
+--R                   2    3     (d  + b d)x + c d + b c
+--R           (- b c d  + b c)Ci(-----------------------)
+--R                                         d
+--R         + 
+--R                                  2
+--R                   2    3     (- d  + b d)x - c d + b c
+--R           (- b c d  + b c)Ci(-------------------------)
+--R                                          d
+--R      *
+--R             a d - b c
+--R         cos(---------)
+--R                 d
+--R  /
+--R       2 3     4
+--R     2b d  - 2b d
+--R                                                     Type: Expression Integer
+--E 62
+
+--S 63 of 165
+a0012:= integrate(t0012,x)
+--R 
+--R
+--R            x
+--R          ++
+--R   (32)   |   %A Ci(%A d + c)sin(%A b + a)d%A
+--R         ++
+--R                                          Type: Union(Expression Integer,...)
+--E 63
+
+--S 64 of 165
+--m0012:= a0012-r0012
+--E 64
+
+--S 65 of 165
+--d0012:= D(m0012,x)
+--E 65
+
+--S 66 of 165
+t0013:= cos(b*x)*Ci(b*x)/x^3
+--R 
+--R
+--R         Ci(b x)cos(b x)
+--R   (33)  ---------------
+--R                 3
+--R                x
+--R                                                     Type: Expression Integer
+--E 66
+
+--S 67 of 165
+r0013:= 1/4*(-cos(b*x)^2-2*cos(b*x)*Ci(b*x)-x^2*Ci(b*x)^2*b^2-_
+        4*b^2*Ci(2*b*x)*x^2+2*x*cos(b*x)*sin(b*x)*b+_
+        2*x*Ci(b*x)*sin(b*x)*b+x*b*sin(2*b*x))/x^2
+--R 
+--R
+--R   (34)
+--R                                                                        2
+--R       b x sin(2b x) + (2b x cos(b x) + 2b x Ci(b x))sin(b x) - cos(b x)
+--R     + 
+--R                              2 2            2 2       2
+--R       - 2Ci(b x)cos(b x) - 4b x Ci(2b x) - b x Ci(b x)
+--R  /
+--R       2
+--R     4x
+--R                                                     Type: Expression Integer
+--E 67
+
+--S 68 of 165
+a0013:= integrate(t0013,x)
+--R 
+--R
+--R            x
+--R          ++  Ci(%A b)cos(%A b)
+--R   (35)   |   ----------------- d%A
+--R         ++            3
+--R                     %A
+--R                                          Type: Union(Expression Integer,...)
+--E 68
+
+--S 69 of 165
+--m0013:= a0013-r0013
+--E 69
+
+--S 70 of 165
+--d0013:= D(m0013,x)
+--E 70
+
+--S 71 of 165
+t0014:= x*cos(a+b*x)*Ci(c+d*x)
+--R 
+--R
+--R   (36)  x Ci(d x + c)cos(b x + a)
+--R                                                     Type: Expression Integer
+--E 71
+
+--S 72 of 165
+r0014:= 1/2*cos(a-c+(b-d)*x)/b/(b-d)+1/2*cos(a+c+(b+d)*x)/b/(b+d)+_
+        cos(a+b*x)*Ci(c+d*x)/b^2-1/2*cos(a-b*c/d)*Ci((b-d)*(c+d*x)/d)/b^2-_
+        1/2*cos(a-b*c/d)*Ci((b+d)*(c+d*x)/d)/b^2+_
+        1/2*c*Ci((b-d)*(c+d*x)/d)*sin(a-b*c/d)/b/d+_
+        1/2*c*Ci((b+d)*(c+d*x)/d)*sin(a-b*c/d)/b/d+_
+        x*Ci(c+d*x)*sin(a+b*x)/b+1/2*c*cos(a-b*c/d)*Si((b-d)*(c+d*x)/d)/b/d+_
+        1/2*sin(a-b*c/d)*Si((b-d)*(c+d*x)/d)/b^2+_
+        1/2*c*cos(a-b*c/d)*Si((b+d)*(c+d*x)/d)/b/d+_
+        1/2*sin(a-b*c/d)*Si((b+d)*(c+d*x)/d)/b^2
+--R 
+--R
+--R   (37)
+--R            3     3
+--R       (2b d  - 2b d)x Ci(d x + c)sin(b x + a)
+--R     + 
+--R                          2
+--R             3    2     (d  + b d)x + c d + b c
+--R           (d  - b d)Si(-----------------------)
+--R                                   d
+--R         + 
+--R                            2
+--R               3    2     (d  - b d)x + c d - b c
+--R           (- d  + b d)Si(-----------------------)
+--R                                     d
+--R         + 
+--R                              2
+--R                 2    3     (d  + b d)x + c d + b c
+--R           (b c d  - b c)Ci(-----------------------)
+--R                                       d
+--R         + 
+--R                                2
+--R                 2    3     (- d  + b d)x - c d + b c
+--R           (b c d  - b c)Ci(-------------------------)
+--R                                        d
+--R      *
+--R             a d - b c
+--R         sin(---------)
+--R                 d
+--R     + 
+--R           2    2                                2    2
+--R       (b d  - b d)cos((d + b)x + c + a) + (- b d  - b d)cos((d - b)x + c - a)
+--R     + 
+--R          3     2
+--R       (2d  - 2b d)Ci(d x + c)cos(b x + a)
+--R     + 
+--R                              2
+--R                 2    3     (d  + b d)x + c d + b c
+--R           (b c d  - b c)Si(-----------------------)
+--R                                       d
+--R         + 
+--R                                2
+--R                   2    3     (d  - b d)x + c d - b c
+--R           (- b c d  + b c)Si(-----------------------)
+--R                                         d
+--R         + 
+--R                            2
+--R               3    2     (d  + b d)x + c d + b c
+--R           (- d  + b d)Ci(-----------------------)
+--R                                     d
+--R         + 
+--R                              2
+--R               3    2     (- d  + b d)x - c d + b c
+--R           (- d  + b d)Ci(-------------------------)
+--R                                      d
+--R      *
+--R             a d - b c
+--R         cos(---------)
+--R                 d
+--R  /
+--R       2 3     4
+--R     2b d  - 2b d
+--R                                                     Type: Expression Integer
+--E 72
+
+--S 73 of 165
+a0014:= integrate(t0014,x)
+--R 
+--R
+--R            x
+--R          ++
+--R   (38)   |   %A Ci(%A d + c)cos(%A b + a)d%A
+--R         ++
+--R                                          Type: Union(Expression Integer,...)
+--E 73
+
+--S 74 of 165
+--m0014:= a0014-r0014
+--E 74
+
+--S 75 of 165
+--d0014:= D(m0014,x)
+--E 75
+
+--S 76 of 165
+t0015:= x^m*Shi(b*x)
+--R 
+--R   There are no library operations named Shi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Shi
+--R      to learn if there is any operation containing " Shi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Shi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 76
+
+--S 77 of 165
+r0015:= -1/2/b/(1+m)*(x^m*(b*x)^(-m)*Gamma(1+m,b*x)+x^m*(-b*x)^(-m)*_
+        Gamma(1+m,-b*x)-2*x^(1+m)*Shi(b*x)*b)
+--R 
+--R   There are no library operations named Shi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Shi
+--R      to learn if there is any operation containing " Shi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Shi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 77
+
+--S 78 of 165
+--a0015:= integrate(t0015,x)
+--E 78
+
+--S 79 of 165
+--m0015:= a0015-r0015
+--E 79
+
+--S 80 of 165
+--d0015:= D(m0015,x)
+--E 80
+
+--S 81 of 165
+t0016:= Shi(a+b*x)/x^3
+--R 
+--R   There are no library operations named Shi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Shi
+--R      to learn if there is any operation containing " Shi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Shi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 81
+
+--S 82 of 165
+r0016:= 1/2*(b^2*cosh(a)*Chi(b*x)*a*x^2-b^2*Chi(b*x)*sinh(a)*x^2-_
+        b*sinh(a+b*x)*a*x-b^2*cosh(a)*Shi(b*x)*x^2+b^2*sinh(a)*_
+        Shi(b*x)*a*x^2+b^2*Shi(a+b*x)*x^2-Shi(a+b*x)*a^2)/a^2/x^2
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 82
+
+--S 83 of 165
+--a0016:= integrate(t0016,x)
+--E 83
+
+--S 84 of 165
+--m0016:= a0016-r0016
+--E 84
+
+--S 85 of 165
+--d0016:= D(m0016,x)
+--E 85
+
+--S 86 of 165
+t0017:= Shi(a+b*x)/x^2
+--R 
+--R   There are no library operations named Shi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Shi
+--R      to learn if there is any operation containing " Shi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Shi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 86
+
+--S 87 of 165
+r0017:= (b*Chi(b*x)*sinh(a)*x+b*cosh(a)*Shi(b*x)*x-Shi(a+b*x)*b*x-_
+        Shi(a+b*x)*a)/a/x
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 87
+
+--S 88 of 165
+--a0017:= integrate(t0017,x)
+--E 88
+
+--S 89 of 165
+--m0017:= a0017-r0017
+--E 89
+
+--S 90 of 165
+--d0017:= D(m0017,x)
+--E 90
+
+--S 91 of 165
+t0018:= sinh(b*x)*Shi(b*x)/x^3
+--R 
+--R   There are no library operations named Shi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Shi
+--R      to learn if there is any operation containing " Shi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Shi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 91
+
+--S 92 of 165
+r0018:= -1/4*(-4*b^2*Chi(2*b*x)*x^2+2*x*cosh(b*x)*sinh(b*x)*b+cosh(b*x)^2-_
+        1+x*b*sinh(2*b*x)+2*x*cosh(b*x)*Shi(b*x)*b+2*sinh(b*x)*Shi(b*x)-_
+        x^2*Shi(b*x)^2*b^2)/x^2
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 92
+
+--S 93 of 165
+--a0018:= integrate(t0018,x)
+--E 93
+
+--S 94 of 165
+--m0018:= a0018-r0018
+--E 94
+
+--S 95 of 165
+--d0018:= D(m0018,x)
+--E 95
+
+--S 96 of 165
+t0019:= sinh(a+b*x)*Shi(c+d*x)
+--R 
+--R   There are no library operations named Shi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Shi
+--R      to learn if there is any operation containing " Shi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Shi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 96
+
+--S 97 of 165
+r0019:= 1/2*(Chi((b-d)*(c+d*x)/d)*sinh((-b*c+a*d)/d)-_
+        Chi((b+d)*(c+d*x)/d)*sinh((-b*c+a*d)/d)+2*cosh(a+b*x)*Shi(c+d*x)+_
+        cosh((-b*c+a*d)/d)*Shi((b-d)*(c+d*x)/d)-_
+        cosh((-b*c+a*d)/d)*Shi((b+d)*(c+d*x)/d))/b
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                         Fraction Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 97
+
+--S 98 of 165
+--a0019:= integrate(t0019,x)
+--E 98
+
+--S 99 of 165
+--m0019:= a0019-r0019
+--E 99
+
+--S 100 of 165
+--d0019:= D(m0019,x)
+--E 100
+
+--S 101 of 165
+t0020:= x*sinh(a+b*x)*Shi(c+d*x)
+--R 
+--R   There are no library operations named Shi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Shi
+--R      to learn if there is any operation containing " Shi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Shi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 101
+
+--S 102 of 165
+r0020:= 1/2*cosh(a-c+(b-d)*x)/b/(b-d)-1/2*cosh(a+c+(b+d)*x)/b/(b+d)-_
+        1/2*cosh(a-b*c/d)*Chi((b-d)*(c+d*x)/d)/b^2+_
+        1/2*cosh(a-b*c/d)*Chi((b+d)*(c+d*x)/d)/b^2-_
+        1/2*c*Chi((b-d)*(c+d*x)/d)*sinh(a-b*c/d)/b/d+_
+        1/2*c*Chi((b+d)*(c+d*x)/d)*sinh(a-b*c/d)/b/d+x*cosh(a+b*x)*_
+        Shi(c+d*x)/b-sinh(a+b*x)*Shi(c+d*x)/b^2-1/2*c*cosh(a-b*c/d)*_
+        Shi((b-d)*(c+d*x)/d)/b/d-1/2*sinh(a-b*c/d)*Shi((b-d)*(c+d*x)/d)/b^2+_
+        1/2*c*cosh(a-b*c/d)*Shi((b+d)*(c+d*x)/d)/b/d+_
+        1/2*sinh(a-b*c/d)*Shi((b+d)*(c+d*x)/d)/b^2
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                         Fraction Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 102
+
+--S 103 of 165
+--a0020:= integrate(t0020,x)
+--E 103
+
+--S 104 of 165
+--m0020:= a0020-r0020
+--E 104
+
+--S 105 of 165
+--d0020:= D(m0020,x)
+--E 105
+
+--S 106 of 165
+t0021:= cosh(b*x)*Shi(b*x)/x^2
+--R 
+--R   There are no library operations named Shi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Shi
+--R      to learn if there is any operation containing " Shi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Shi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 106
+
+--S 107 of 165
+r0021:= 1/2*(2*b*Chi(2*b*x)*x-sinh(2*b*x)-_
+        2*cosh(b*x)*Shi(b*x)+x*Shi(b*x)^2*b)/x
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 107
+
+--S 108 of 165
+--a0021:= integrate(t0021,x)
+--E 108
+
+--S 109 of 165
+--m0021:= a0021-r0021
+--E 109
+
+--S 110 of 165
+--d0021:= D(m0021,x)
+--E 110
+
+--S 111 of 165
+t0022:= cosh(a+b*x)*Shi(c+d*x)
+--R 
+--R   There are no library operations named Shi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Shi
+--R      to learn if there is any operation containing " Shi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Shi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 111
+
+--S 112 of 165
+r0022:= -1/2*(-cosh((-b*c+a*d)/d)*Chi((b-d)*(c+d*x)/d)+_
+        cosh((-b*c+a*d)/d)*Chi((b+d)*(c+d*x)/d)-_
+        2*sinh(a+b*x)*Shi(c+d*x)-sinh((-b*c+a*d)/d)*Shi((b-d)*(c+d*x)/d)+_
+        sinh((-b*c+a*d)/d)*Shi((b+d)*(c+d*x)/d))/b
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                         Fraction Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 112
+
+--S 113 of 165
+--a0022:= integrate(t0022,x)
+--E 113
+
+--S 114 of 165
+--m0022:= a0022-r0022
+--E 114
+
+--S 115 of 165
+--d0022:= D(m0022,x)
+--E 115
+
+--S 116 of 165
+t0023:= x*cosh(a+b*x)*Shi(c+d*x)
+--R 
+--R   There are no library operations named Shi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Shi
+--R      to learn if there is any operation containing " Shi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Shi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 116
+
+--S 117 of 165
+r0023:= -1/2*c*cosh(a-b*c/d)*Chi((b-d)*(c+d*x)/d)/b/d+_
+        1/2*c*cosh(a-b*c/d)*Chi((b+d)*(c+d*x)/d)/b/d-_
+        1/2*Chi((b-d)*(c+d*x)/d)*sinh(a-b*c/d)/b^2+_
+        1/2*Chi((b+d)*(c+d*x)/d)*sinh(a-b*c/d)/b^2+_
+        1/2*sinh(a-c+(b-d)*x)/b/(b-d)-_
+        1/2*sinh(a+c+(b+d)*x)/b/(b+d)-cosh(a+b*x)*Shi(c+d*x)/b^2+_
+        x*sinh(a+b*x)*Shi(c+d*x)/b-1/2*cosh(a-b*c/d)*_
+        Shi((b-d)*(c+d*x)/d)/b^2-1/2*c*sinh(a-b*c/d)*_
+        Shi((b-d)*(c+d*x)/d)/b/d+1/2*cosh(a-b*c/d)*_
+        Shi((b+d)*(c+d*x)/d)/b^2+1/2*c*sinh(a-b*c/d)*Shi((b+d)*(c+d*x)/d)/b/d
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                         Fraction Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 117
+
+--S 118 of 165
+--a0023:= integrate(t0023,x)
+--E 118
+
+--S 119 of 165
+--m0023:= a0023-r0023
+--E 119
+
+--S 120 of 165
+--d0023:= D(m0023,x)
+--E 120
+
+--S 121 of 165
+t0024:= x^m*Chi(b*x)
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 121
+
+--S 122 of 165
+r0024:= 1/2/b/(1+m)*(x^m*(b*x)^(-m)*Gamma(1+m,b*x)-x^m*(-b*x)^(-m)*_
+        Gamma(1+m,-b*x)+2*x^(1+m)*Chi(b*x)*b)
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 122
+
+--S 123 of 165
+--a0024:= integrate(t0024,x)
+--E 123
+
+--S 124 of 165
+--m0024:= a0024-r0024
+--E 124
+
+--S 125 of 165
+--d0024:= D(m0024,x)
+--E 125
+
+--S 126 of 165
+t0025:= Chi(a+b*x)/x^3
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 126
+
+--S 127 of 165
+r0025:= -1/2*(b*cosh(a+b*x)*a*x+b^2*cosh(a)*Chi(b*x)*x^2-_
+        b^2*Chi(a+b*x)*x^2+Chi(a+b*x)*a^2-b^2*Chi(b*x)*sinh(a)*a*x^2-_
+        b^2*cosh(a)*Shi(b*x)*a*x^2+b^2*sinh(a)*Shi(b*x)*x^2)/a^2/x^2
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 127
+
+--S 128 of 165
+--a0025:= integrate(t0025,x)
+--E 128
+
+--S 129 of 165
+--m0025:= a0025-r0025
+--E 129
+
+--S 130 of 165
+--d0025:= D(m0025,x)
+--E 130
+
+--S 131 of 165
+t0026:= Chi(a+b*x)/x^2
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 131
+
+--S 132 of 165
+r0026:= (b*cosh(a)*Chi(b*x)*x-Chi(a+b*x)*b*x-Chi(a+b*x)*a+_
+        b*sinh(a)*Shi(b*x)*x)/a/x
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 132
+
+--S 133 of 165
+--a0026:= integrate(t0026,x)
+--E 133
+
+--S 134 of 165
+--m0026:= a0026-r0026
+--E 134
+
+--S 135 of 165
+--d0026:= D(m0026,x)
+--E 135
+
+--S 136 of 165
+t0027:= Chi(b*x)*sinh(b*x)/x^2
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 136
+
+--S 137 of 165
+r0027:= 1/2*(x*Chi(b*x)^2*b+2*b*Chi(2*b*x)*x-2*sinh(b*x)*Chi(b*x)-_
+        sinh(2*b*x))/x
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 137
+
+--S 138 of 165
+--a0027:= integrate(t0027,x)
+--E 138
+
+--S 139 of 165
+--m0027:= a0027-r0027
+--E 139
+
+--S 140 of 165
+--d0027:= D(m0027,x)
+--E 140
+
+--S 141 of 165
+t0028:= sinh(a+b*x)*Chi(c+d*x)
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 141
+
+--S 142 of 165
+r0028:= -1/2*(-2*cosh(a+b*x)*Chi(c+d*x)+cosh((-b*c+a*d)/d)*_
+        Chi((b-d)*(c+d*x)/d)+cosh((-b*c+a*d)/d)*Chi((b+d)*(c+d*x)/d)+_
+        sinh((-b*c+a*d)/d)*Shi((b-d)*(c+d*x)/d)+sinh((-b*c+a*d)/d)*_
+        Shi((b+d)*(c+d*x)/d))/b
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 142
+
+--S 143 of 165
+--a0028:= integrate(t0028,x)
+--E 143
+
+--S 144 of 165
+--m0028:= a0028-r0028
+--E 144
+
+--S 145 of 165
+--d0028:= D(m0028,x)
+--E 145
+
+--S 146 of 165
+t0029:= x*sinh(a+b*x)*Chi(c+d*x)
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 146
+
+--S 147 of 165
+r0029:= x*cosh(a+b*x)*Chi(c+d*x)/b+1/2*c*cosh(a-b*c/d)*_
+        Chi((b-d)*(c+d*x)/d)/b/d+1/2*c*cosh(a-b*c/d)*_
+        Chi((b+d)*(c+d*x)/d)/b/d+1/2*Chi((b-d)*(c+d*x)/d)*_
+        sinh(a-b*c/d)/b^2+1/2*Chi((b+d)*(c+d*x)/d)*sinh(a-b*c/d)/b^2-_
+        Chi(c+d*x)*sinh(a+b*x)/b^2-1/2*sinh(a-c+(b-d)*x)/b/(b-d)-_
+        1/2*sinh(a+c+(b+d)*x)/b/(b+d)+1/2*cosh(a-b*c/d)*_
+        Shi((b-d)*(c+d*x)/d)/b^2+1/2*c*sinh(a-b*c/d)*_
+        Shi((b-d)*(c+d*x)/d)/b/d+1/2*cosh(a-b*c/d)*_
+        Shi((b+d)*(c+d*x)/d)/b^2+1/2*c*sinh(a-b*c/d)*Shi((b+d)*(c+d*x)/d)/b/d
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 147
+
+--S 148 of 165
+--a0029:= integrate(t0029,x)
+--E 148
+
+--S 149 of 165
+--m0029:= a0029-r0029
+--E 149
+
+--S 150 of 165
+--d0029:= D(m0029,x)
+--E 150
+
+--S 151 of 165
+t0030:= cosh(b*x)*Chi(b*x)/x^3
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 151
+
+--S 152 of 165
+r0030:= 1/4*(-cosh(b*x)^2-2*cosh(b*x)*Chi(b*x)+x^2*Chi(b*x)^2*b^2+_
+        4*b^2*Chi(2*b*x)*x^2-2*x*cosh(b*x)*sinh(b*x)*b-_
+        2*x*Chi(b*x)*sinh(b*x)*b-x*b*sinh(2*b*x))/x^2
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 152
+
+--S 153 of 165
+--a0030:= integrate(t0030,x)
+--E 153
+
+--S 154 of 165
+--m0030:= a0030-r0030
+--E 154
+
+--S 155 of 165
+--d0030:= D(m0030,x)
+--E 155
+
+--S 156 of 165
+t0031:= cosh(a+b*x)*Chi(c+d*x)
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 156
+
+--S 157 of 165
+r0031:= -1/2*(Chi((b-d)*(c+d*x)/d)*sinh((-b*c+a*d)/d)+_
+        Chi((b+d)*(c+d*x)/d)*sinh((-b*c+a*d)/d)-2*sinh(a+b*x)*_
+        Chi(c+d*x)+cosh((-b*c+a*d)/d)*Shi((b-d)*(c+d*x)/d)+_
+        cosh((-b*c+a*d)/d)*Shi((b+d)*(c+d*x)/d))/b
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                         Fraction Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 157
+
+--S 158 of 165
+--a0031:= integrate(t0031,x)
+--E 158
+
+--S 159 of 165
+--m0031:= a0031-r0031
+--E 159
+
+--S 160 of 165
+--d0031:= D(m0031,x)
+--E 160
+
+--S 161 of 165
+t0032:= x*cosh(a+b*x)*Chi(c+d*x)
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 161
+
+--S 162 of 165
+r0032:= -1/2*cosh(a-c+(b-d)*x)/b/(b-d)-1/2*cosh(a+c+(b+d)*x)/b/(b+d)-_
+        cosh(a+b*x)*Chi(c+d*x)/b^2+1/2*cosh(a-b*c/d)*_
+        Chi((b-d)*(c+d*x)/d)/b^2+1/2*cosh(a-b*c/d)*Chi((b+d)*(c+d*x)/d)/b^2+_
+        1/2*c*Chi((b-d)*(c+d*x)/d)*sinh(a-b*c/d)/b/d+_
+        1/2*c*Chi((b+d)*(c+d*x)/d)*sinh(a-b*c/d)/b/d+x*_
+        Chi(c+d*x)*sinh(a+b*x)/b+1/2*c*cosh(a-b*c/d)*_
+        Shi((b-d)*(c+d*x)/d)/b/d+1/2*sinh(a-b*c/d)*_
+        Shi((b-d)*(c+d*x)/d)/b^2+1/2*c*cosh(a-b*c/d)*_
+        Shi((b+d)*(c+d*x)/d)/b/d+1/2*sinh(a-b*c/d)*Shi((b+d)*(c+d*x)/d)/b^2
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 162
+
+--S 163 of 165
+--a0032:= integrate(t0032,x)
+--E 163
+
+--S 164 of 165
+--m0032:= a0032-r0032
+--E 164
+
+--S 165 of 165
+--d0032:= D(m0032,x)
+--E 165
+
+)spool
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1}
+Rich, Albert D. ``Rule-based Mathematics'' \verb|www.apmaths.uwo.ca/~arich|
+\end{thebibliography}
+\end{document}
